Bug 11845 - black screen and no keyboard on Silicon Motion with Xserver 1.3
Summary: black screen and no keyboard on Silicon Motion with Xserver 1.3
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/siliconmotion (show other bugs)
Version: 7.2 (2007.02)
Hardware: Other All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-04 04:01 UTC by Brice Goglin
Modified: 2018-08-10 20:46 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
the latest Xorg log corresponding to this issue (15.07 KB, text/plain)
2009-09-21 19:34 UTC, clayton
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brice Goglin 2007-08-04 04:01:23 UTC
Reported by Clayton <ckoeni@gmail.com> on the Debian BTS 2 months ago. Upgrading to Xserver 1.3 broke X on his "Silicon Motion, Inc. SM712 LynxEM+ (rev a0)" board. It gives a black screen. The config and log with Xserver 1.3 are both available in http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;bug=428711

I thought it could be related to the VBE filtering problems that ajax fixed for the VESA driver, but Clayton tried a recent Debian Xserver with this patch and it didn't help.

I am assigning to the server for now since it was working fine with Xserver 1.1. But I don't know whether the server or driver actually needs to be fixed here.

Brice
Comment 1 Alex Deucher 2007-08-06 06:42:59 UTC
are you shipping the same version of the smi driver with both xservers?
Comment 2 Brice Goglin 2007-08-06 09:12:45 UTC
Debian 1.5.1 driver package can't work with Xserver 1.1. But I think our driver 1.4.1 should work with Xserver 1.3, I asked the submitter to test it.

He thinks he has been using driver 1.4.1 with Xserver 1.1 and driver 1.5.1 with Xserver 1.3. That's probably true, but we can't be 100% sure since the driver 1.5.1 says version 1.4.1 to the X logs (I forgot to fix lots of drivers doing this before the code slush :)).
Comment 3 Daniel Stone 2007-08-06 09:20:30 UTC
(In reply to comment #2)
> He thinks he has been using driver 1.4.1 with Xserver 1.1 and driver 1.5.1 with
> Xserver 1.3. That's probably true, but we can't be 100% sure since the driver
> 1.5.1 says version 1.4.1 to the X logs (I forgot to fix lots of drivers doing
> this before the code slush :)).

you've got blanket approval from me to fix all drivers with broken version macros during either slush or freeze.
Comment 4 Alex Deucher 2007-08-06 10:37:09 UTC
I'll try and roll new smi and savage releases this week.
Comment 5 Brice Goglin 2007-08-10 01:31:20 UTC
The submitter says that it works fine with Xserver 1.1.1 and SiliconMotion 1.4.1, but upgrading Xserver to 1.3 does not work (without upgrading the driver).
Comment 6 clayton 2009-09-21 19:34:04 UTC
Created attachment 29736 [details]
the latest Xorg log corresponding to this issue
Comment 7 clayton 2009-09-21 19:36:24 UTC
The log I just uploaded FINALLY seems to have some kind of informative error message:

(EE) SMI(0): Not enough video memory for the configured screen size
(800x800) and color depth.
Comment 8 GitLab Migration User 2018-08-10 20:46:35 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/driver/xf86-video-siliconmotion/issues/1.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.